Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QCheckBox

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QCheckBox class reference

### Public Functions

- QCheckBox ( QWidget * parent, const char * name )
- QCheckBox ( const QString & text, QWidget * parent, const char * name )
- void setNoChange ()

## Member Function Documentation

### QCheckBox::QCheckBox ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QCheckBox::QCheckBox ( const QString & text, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### void QCheckBox::setNoChange ()

Use setState() instead.